<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Exemplo de assinatura CMS</title>
    <style>
        body {
            font-family: "Roboto", sans-serif;
            background-color: #f0f0f0;
            font-family: Arial, sans-serif;
            display: flex;
            flex-direction: column;
            gap: 24px;
        }
        form {
            width: 450px;
            margin: 0 auto;
            padding: 2rem;
            background-color: #fff;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h2 {
            color: #109cd8;
            text-align: center;
            margin: 0;
            margin-bottom: 24px;
        }
        label {
            display: block;
            color: #333;
        }
        input {
            height:  50px;
        }
        .custom-file-upload {
            border: 1px solid #109cd8;
            width: auto;
            display: inline-block;
            padding: 12px;
            cursor: pointer;
            margin-bottom: 24px;
            width: 100%;
            color: #109cd8;
            text-align: center;
            padding: 12px 0;
            border-radius: 4px;
        }
        input[type="text"],
        input[type="email"],
        input[type="file"],

        button {
            width: 100%;
            padding: 10px;
            margin-bottom: 15px;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
        }
        button {
            background-color: #109cd8;
            color: #fff;
            cursor: pointer;
            transition: background-color 0.3s ease;
            border-radius: 50px;
            font-weight: 500;
            font-size: 16px;
            padding: 14px
        }
        button:hover {
            background-color: rgb(12, 128, 177);
        }

        .content {
            padding: 1rem;
        }

        #logo-img {
            padding: 5rem 0 2rem;
            margin: auto;
        }
    </style>
</head>
<body>

<img src="/image" width="250px" height="12%" id="logo-img">

<form id="signatureForm" enctype="multipart/form-data">
    <h2>Exemplo de assinatura CMS - Assinar</h2>
    <div class="content">
        <div >
            <label for="documento" class="custom-file-upload">
                Custom Upload
            </label>
            <input
                    style="display: none"

                    type="file"
                    id="documento"
                    name="documento"
                    accept="*"
            />
        </div>
        <div>

            <input type="text" id="token" name="token" placeholder="Token do PSC*"/>
        </div>
        <button type="submit" formtarget="_blank" formaction="/code" formmethod="GET">Gerar token</button>
        <button type="submit" formtarget="_self" formaction="/sign" formmethod="POST">Assinar</button>
    </div>
</form>
</body>
</html>
